$btn-sizes: (
	"sm": 0.8em,
	"md": 1em,
	"lg": 1.2em,
	"xl": 1.5em,
);

* {
	box-sizing: border-box;
}

#root,
html,
body {
	margin: 0;
	padding: 0;
}

body {
	font-family: Arial, Helvetica, sans-serif;
}

h2 {
	font-size: 2em;
	margin: 0;
}

p {
	font-size: 0.8em;
}

a {
	&.nav-link {
		color: black;
		text-decoration: none;
		text-transform: uppercase;
	}
}

.modal {
	position: absolute;
	z-index: 1;
	background-color: rgba($color: #000, $alpha: 0.2);
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px,
		rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;

	& .game-message-modal {
		background-color: white;
		width: 60%;
		padding: 1em;
		margin: 0 auto;
		display: flex;
		flex-wrap: wrap;
		column-gap: 1em;
		justify-content: center;
		text-align: center;
		border-radius: 1em;

		h2 {
			text-align: center;
			margin: 0;
			padding: 0;
			font-size: 1.5em;
		}
	}
}

#hangman path,
#hangman circle {
	stroke: #000;
	stroke-width: 0.3;
	stroke-linecap: round;
	fill: none;
}

.btn {
	border: none;
	outline: none;
	background: none;
	cursor: pointer;

	&:is(a) {
		text-decoration: none;
	}

	&-primary {
		background-color: black;
		color: white;
		font-weight: 100;
		text-transform: uppercase;
	}

	&-secondary {
		background-color: white;
		color: black;
		border: 1px solid rgba(0, 0, 0, 0.1);
		box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 5px 0px,
			rgba(0, 0, 0, 0.1) 0px 0px 1px 0px;
		font-weight: bold;

		&.selected {
			background-color: black;
			color: white;
		}

		&:disabled {
			cursor: not-allowed;
			color: lighten($color: #000000, $amount: 80);
		}
	}

	&-p-xl {
		padding: 0.5em 2.5em;
	}

	&-p-md {
		padding: 0.3em 0.5em;
	}

	&-rounded {
		border-radius: 0.5em;
	}

	@each $size-name, $size in $btn-sizes {
		&-#{$size-name} {
			font-size: $size;
		}
	}
}

.container-main {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100vw;
	min-height: 100vh;
	height: 100%;
	margin: 0;
	padding: 0;
	background-color: rgba(31, 31, 31);
}

.container-page {
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;

	width: 500px;
	height: 500px;
	background-color: white;
	border-radius: 1em;

	& .content-wrapper {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: space-between;
		height: 80%;
		width: 70%;
	}
}

#home {
	text-align: center;

	#hangman {
		width: 6em;
		height: auto;

		& path,
		& circle {
			stroke-width: 0.4;
		}
	}
}

#start {
	p {
		font-size: 1em;
		text-align: center;
		width: 70%;
	}

	.word-options-grid {
		margin-bottom: auto;
		margin-top: 1em;
		display: grid;
		width: fit-content;
		grid-template-columns: repeat(3, 1fr);
		gap: 0.5em;

		& > :last-child {
			grid-column: span 3;
		}
	}
}

#game {
	position: relative;
	display: grid;
	column-gap: 2em;
	grid-template-columns: max-content auto;
	grid-template-rows: repeat(4, auto);
	width: 80%;

	#hangman {
		width: 100px;
		height: auto;
		grid-column: 1;
		grid-row: span 4;
		align-self: flex-start;
		justify-self: left;
	}

	a.nav-link {
		position: absolute;
		right: -2em;
		top: -1.8em;
		font-size: 0.9em;
	}

	h2 {
		align-self: flex-start;
	}

	.solution-letters-wrapper {
		.label {
			margin-bottom: 1em;

			&.result {
				font-size: 1.3em;

				&.lost {
					color: red;
				}

				&.won {
					color: green;
				}
			}
		}

		& .solution-letters {
			display: flex;
			flex-wrap: wrap;
			gap: 0.3em;

			& .letter {
				color: transparent;
				display: flex;
				justify-content: center;
				align-items: center;
				width: 1.8em;
				height: 1.8em;
				border: 2px solid black;
				font-weight: bold;
				text-transform: uppercase;

				&.show {
					color: black;
				}
			}
		}
	}

	.alphabet-grid-wrapper {
		.label {
			font-size: 0.8em;
			margin-bottom: 0.8em;
		}

		.alphabet-grid {
			display: flex;
			gap: 0.3em;
			justify-items: left;
			flex-wrap: wrap;

			.letter {
				width: 1.7em;
				height: 1.7em;
				display: flex;
				justify-content: center;
				align-items: center;
			}

			&::after {
				content: " ";
				flex: auto;
			}
		}
	}

	.game-control-buttons {
		display: flex;
		justify-content: space-between;
		gap: 1em;

		button {
			flex: 1;
		}
	}
}
